<div class="modal-header no-border bg-primary text-light">
  <h2 class="modal-title">Edit Employee</h2>
</div>

<div class="modal-body">
  <div class="col">
    <p>Name: {{ employee.value?.name }}</p>
    <p>Position: {{ employee.value?.position }}</p>
    <p>Email: {{ employee.value?.email }}</p>
    <p>Skills: {{ displayedSkills }}</p>
    <form [formGroup]="editEmployee" (validSubmit)="onSubmit()">
      <app-edit-employee-skills
        (chosenSkills)="onSkillsSelected($event)"
        [currentEmployee]="employee.value"
        [allSkills]="skills"
        [recentlyAddedSkills]="displayedSkills"
      ></app-edit-employee-skills>

      <div class="modal-footer no-border">
        <button
          class="btn btn-outline-secondary"
          (click)="modal.dismiss({ message: 'dismissed' })"
        >
          Cancel
        </button>
        <button class="btn btn-primary" type="submit">
          Edit Employee
        </button>
      </div>
    </form>
  </div>
</div>
